## eclipse-wtp 3.5.2

=== debian/changelog ===
eclipse-wtp (3.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed d/patches/regenerate-js-parser-resources.patch.
  * Bumped Standards-Version to 3.9.5.
  * Removed unused Lintian overrides.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 08 Mar 2014 17:33:38 +0100

eclipse-wtp (3.5.1-2) unstable; urgency=medium

  * Fix NullPointerException when creating static web project
    - into Ecore model, added default value for 'version' attribute
      of ProjectComponents class.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 10 Dec 2013 10:18:31 +0100

eclipse-wtp (3.5.1-1) unstable; urgency=low

  * New upstream release.
  * Refreshed d/patches:
    - debian-custom-build.patch
    - regenerate-js-parser-resources.patch.
  * Update Javascript parser regeneration in d/rules.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 28 Sep 2013 21:52:30 +0200

eclipse-wtp (3.5.0-1) unstable; urgency=low

  * New upstream release.
  * Refreshed d/patches:
    - debian-custom-build.patch
    - regenerate-xpath2-parser.patch.
  * Add patch for compatibility with rhino 1.7R4.
  * Regenerate code from EMF models.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 28 Jun 2013 08:42:01 +0200

eclipse-wtp (3.4.2-3) unstable; urgency=low

  * Don't specify version of orbit dependency org.apache.commons.logging
    to fix FTBFS (Closes: #710805).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 03 Jun 2013 17:40:00 +0200

eclipse-wtp (3.4.2-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Mon, 13 May 2013 22:03:40 -0700

eclipse-wtp (3.4.2-1) experimental; urgency=low

  * New upstream release.
  * Added d/get-orig-source.
  * Refreshed d/patches/debian-custom-build.patch.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 29 Mar 2013 21:37:32 +0100

eclipse-wtp (3.4.1-2) experimental; urgency=low

  * Fix installation of some orbit dependencies in eclipse-wtp-ws.
    - Added missing unpack="false" into feature.xml.
  * Remove dependency on libjaxp1.3-java, libgnujaf-java packages
    and axis-saaj.jar.
    - Use classes provided by JRE instead.
  * Bump Standards-Version to 3.9.4.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 23 Jan 2013 19:08:51 +0100

eclipse-wtp (3.4.1-1) experimental; urgency=low

  * Initial release. (Closes: #551866)

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 10 Dec 2012 15:30:05 +0100
