=== debian/control ===
Source: eclipse-wtp
Section: devel
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends: debhelper (>= 8~),
               default-jdk,
               eclipse-pde (>= 3.7.1),
               eclipse-gef,
               eclipse-xsd,
               libaxis-java (>= 1.4-17),
               libcommons-discovery-java (>= 0.5-2),
               libcommons-logging-java (>= 1.1.1-8),
               libgnumail-java (>= 1.1.2-8),
               librhino-java (>= 1.7R3-4),
               liblog4j1.2-java (>= 1.2.16-3),
               libxerces2-java (>= 2.11.0-4),
               libxalan2-java (>= 2.7.1-7),
               libuddi4j-java (>= 2.0.5),
               libwsdl4j-java (>= 1.6.2-5),
               libwsil4j-java (>= 1.0.0),
               libxml-commons-resolver1.1-java (>= 1.2-7),
               javahelper (>= 0.31),
               dita-ot,
               jflex,
               cup,
               jikespg,
               xml-core,
               unzip,
               zip
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-java/eclipse-wtp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/eclipse-wtp.git
Homepage: http://www.eclipse.org/webtools/

Package: eclipse-wtp
Architecture: all
Depends: eclipse-platform (>= 3.7.1),
         eclipse-emf,
         eclipse-gef,
         ${misc:Depends},
         ${orbit:Depends}
Description: Eclipse Web Tools Platform
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains core plugins required by various WTP components.

Package: eclipse-wtp-xmltools
Architecture: all
Depends: eclipse-wtp (= ${binary:Version}),
         eclipse-xsd,
         ${misc:Depends},
         ${orbit:Depends}
Description: Eclipse XML tools and editors
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains source and graphical editors for XML, DTD and XML schema
 (XSD) files.

Package: eclipse-wtp-webtools
Architecture: all
Depends: eclipse-wtp (= ${binary:Version}),
         eclipse-wtp-xmltools (= ${binary:Version}),
         ${misc:Depends},
         ${orbit:Depends}
Description: Eclipse HTML, CSS and Javascript tools
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains editors for HTML and CSS. Also support for writing and
 debugging of Javascript programs is included.

Package: eclipse-wtp-xsl
Architecture: all
Depends: eclipse-wtp (= ${binary:Version}),
         eclipse-wtp-xmltools (= ${binary:Version}),
         w3c-xsd-xslt,
         ${misc:Depends},
         ${orbit:Depends}
Description: Eclipse Extensible Stylesheet Language tools
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains tools Extensible Stylesheet Language (XSL) and allows one
 to run and debug XSL transformations.

Package: eclipse-wtp-ws
Architecture: all
Depends: eclipse-wtp (= ${binary:Version}),
         eclipse-wtp-xmltools (= ${binary:Version}),
         ${misc:Depends},
         ${orbit:Depends}
Description: Eclipse web services tools
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains tools for web services development which is not Java
 specific. It consists of:
 .
  * Web services preferences pages
  * Web services frameworks
  * Web Services Explorer
  * WSDL model
  * WSDL Editor
  * WSDL and WS-I validator

Package: eclipse-wtp-servertools
Architecture: all
Depends: eclipse-wtp (= ${binary:Version}),
         ${misc:Depends},
         ${orbit:Depends}
Description: Eclipse WTP server tools
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package provides a generic framework and adapters for application servers.

Package: w3c-xsd-xslt
Architecture: all
Depends: ${misc:Depends}
Description: XML Schema for W3C EXtensible Stylesheet Language Transformations (XSLT)
 XSL Transformation (XSLT) is an XML language for transforming XML documents.
 This package includes XML Schema files that describe structure of XSLT 1.0,
 XSLT 2.0 and XML Inclusions (XInclude) 1.0.
