=== debian/watch ===
version=3
http://download.eclipse.org/webtools drops/R[\d.]+/R-([\d.]+)-\d+/
