## eclipse-wtp 3.6.0

=== debian/changelog ===
eclipse-wtp (3.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed d/patches/debian-custom-build.patch.
  * Regenerate CSSTokenizer during build.
  * Override codeless-jar warning in eclipse-wtp binary package.
  * Override false positive source-is-missing lintian error in bundle
    org.eclipse.wst.jsdt.support.ie.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 10 Jul 2014 12:54:39 +0200
