=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,10 @@
 	cd debian/.eclipse-build/org.eclipse.wst.xml.core/DevTimeSupport; \
 	ant -f buildNames.xml;                                            \
 	ant -f buildParser.xml;
+
+	# Regenerate CSSTokenizer
+	cd debian/.eclipse-build/org.eclipse.wst.sse.core/DevTimeSupport && \
+		CLASSPATH=/usr/share/java/JFlex.jar ant CSSTokenizer
 
 	# Regenerate xpath2 parser
 	cd debian/.eclipse-build/org.eclipse.wst.xml.xpath2.processor && ant generate_parser
