## eclipse-wtp 3.6.3

=== debian/changelog ===
eclipse-wtp (3.6.3-3) unstable; urgency=medium

  * Team upload.
  * Use HTTPS in the Homepage field.
  * Rebuild with an updated xml-core to pick up an up to date dependency on it.
    See #841425

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 07 Nov 2016 16:38:11 +0000

eclipse-wtp (3.6.3-2) unstable; urgency=medium

  * Team upload.
  * Fixed the compatibility with the latest version of JFlex
  * Fixed the build failure with Java 8
  * Transition to Jetty 9
  * Depend on libmail-java instead of libgnumail-java
  * Standards-Version updated to 3.9.8
  * Switch to debhelper level 10
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 03 Nov 2016 22:59:41 +0100

eclipse-wtp (3.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh d/patches/debian-custom-build.patch.
  * Remove specific com.ibm.icu version requirement from manifests
    - fixes build with eclipse 3.8.1-8.
  * Bump Standards-Version to 3.9.6.
  * Remove unused Lintian overrides.
  * Fix space-in-std-shortname-in-dep5-copyright Lintian warning.
  * DITA-OT JAR has to be on CLASSPATH when generating Eclipse help.
  * Remove unused codeless-jar Lintian overrides.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 04 May 2015 07:34:40 +0200
