=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Jakub Adam <jakub.adam@ktknet.cz>
-Build-Depends: debhelper (>= 8~),
+Build-Depends: debhelper (>= 10),
                default-jdk,
-               eclipse-pde (>= 3.7.1),
-               eclipse-gef,
+               eclipse-pde (>= 3.8.1-8),
+               eclipse-gef (>= 3.7.1-2),
                eclipse-xsd,
                libaxis-java (>= 1.4-17),
                libcommons-discovery-java (>= 0.5-2),
                libcommons-logging-java (>= 1.1.1-8),
-               libgnumail-java (>= 1.1.2-8),
                librhino-java (>= 1.7R3-4),
                liblog4j1.2-java (>= 1.2.16-3),
+               libmail-java,
                libxerces2-java (>= 2.11.0-4),
                libxalan2-java (>= 2.7.1-7),
                libuddi4j-java (>= 2.0.5),
@@ -22,22 +22,22 @@
                libxml-commons-resolver1.1-java (>= 1.2-7),
                javahelper (>= 0.31),
                dita-ot,
-               jflex,
+               jflex (>= 1.6),
                cup,
                jikespg,
                xml-core,
                unzip,
                zip
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-java/eclipse-wtp.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/eclipse-wtp.git
-Homepage: http://www.eclipse.org/webtools/
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/eclipse-wtp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/eclipse-wtp.git
+Homepage: https://www.eclipse.org/webtools/
 
 Package: eclipse-wtp
 Architecture: all
-Depends: eclipse-platform (>= 3.7.1),
+Depends: eclipse-platform (>= 3.8.1-8),
          eclipse-emf,
-         eclipse-gef,
+         eclipse-gef (>= 3.7.1-2),
          ${misc:Depends},
          ${orbit:Depends}
 Description: Eclipse Web Tools Platform
