=== debian/rules ===
--- 
+++ 
@@ -30,16 +30,16 @@
 
 	# Regenerate CSSTokenizer
 	cd debian/.eclipse-build/org.eclipse.wst.sse.core/DevTimeSupport && \
-		CLASSPATH=/usr/share/java/JFlex.jar ant CSSTokenizer
+		CLASSPATH=/usr/share/java/jflex.jar ant CSSTokenizer
 
 	# Regenerate xpath2 parser
 	cd debian/.eclipse-build/org.eclipse.wst.xml.xpath2.processor && ant generate_parser
 
 	# Regenerate eclipse help plugins from DITA files
-	for plugin in $(HELP_PLUGINS); do            \
-		cd "debian/.eclipse-build/$$plugin"; \
-		ant -f DocBuild.xml;                 \
-		cd "$$OLDPWD";                       \
+	for plugin in $(HELP_PLUGINS); do                                      \
+		cd "debian/.eclipse-build/$$plugin";                           \
+		CLASSPATH=/usr/share/dita-ot/lib/dost.jar ant -f DocBuild.xml; \
+		cd "$$OLDPWD";                                                 \
 	done
 
 	# Regenerate Javascript parser from language grammar
@@ -65,8 +65,8 @@
 	# Now we have to build resource files, but first we must have compiled JSDT core plugin
 	# jar so that we can execute UpdateParserFiles
 
-	jh_compilefeatures --build-opts="-DjavacTarget=1.5 -DjavacSource=1.5           \
-	                   -DbuildId=$(BUILD_ID) -DforceContextQualifier=$(BUILD_ID)";
+	jh_compilefeatures --build-opts="-DjavacTarget=1.5 -DjavacSource=1.5 -DbundleJavacTarget=1.5 \
+	                   -DbuildId=$(BUILD_ID) -DforceContextQualifier=$(BUILD_ID) -Dbuild.compiler=modern";
 
 OSGI_JAR=$(shell ls /usr/lib/eclipse/plugins/org.eclipse.osgi_*.jar)
 EQUINOX_COMMON_JAR=$(shell ls /usr/lib/eclipse/plugins/org.eclipse.equinox.common_*.jar)
