## eclipse-wtp 3.18

=== debian/changelog ===
eclipse-wtp (3.18-5) unstable; urgency=medium

  * Fix FTBFS cannot find symbol. (Closes: #972993)
    - Add upstream patch and fix missing symbol issue caused
      by an update to eclipse-platform-ui.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 04 Nov 2020 17:38:55 +0000

eclipse-wtp (3.18-4) unstable; urgency=medium

  * Fix FTBFS due to update in libeclipse-jface-text-java.
  * Add superficial autopkgtest.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 09 Oct 2020 21:41:08 +0100

eclipse-wtp (3.18-3) unstable; urgency=medium

  * Use versionless dependency in manifest file.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 22 Sep 2020 17:05:28 +0100

eclipse-wtp (3.18-2) unstable; urgency=medium

  * Source only upload.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 25 Jul 2020 20:14:16 +0100

eclipse-wtp (3.18-1) unstable; urgency=medium

  * Reintroduce package. (Closes: #963561)
    - Remove old binary packages.
    - New binary packages of java libraries.
    - Add Rules-Requires-Root: no.
    - Use upstream patch fixing copyright.
    - Update d/copyright.
    - Use https with watch file.
    - Update source repacking script.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 16 Jul 2020 21:50:12 +0100
