=== debian/control ===
Source: eclipse-wtp
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends: debhelper-compat (= 13), eclipse-debian-helper, jflex,
               libeclipse-core-expressions-java, libeclipse-core-resources-java,
               libeclipse-core-contenttype-java, libeclipse-osgi-java,
               libeclipse-core-runtime-java, libequinox-common-java,
               libequinox-registry-java, libeclipse-core-jobs-java,
               libeclipse-ui-workbench-java, libeclipse-ui-ide-java,
               libeclipse-search-java, libeclipse-ui-workbench-texteditor-java,
               libicu4j-java, libeclipse-core-commands-java,
               libswt-gtk-4-java, libeclipse-jface-java,
               libequinox-bidi-java, libequinox-preferences-java,
               libeclipse-text-java, libeclipse-emf-common-java,
               libeclipse-core-filebuffers-java, libeclipse-core-filesystem-java,
               libeclipse-debug-ui-java, libeclipse-jface-text-java,
               libeclipse-ui-editors-java, libeclipse-ui-views-java,
               libeclipse-ui-forms-java, libeclipse-debug-core-java,
               libxerces2-java, libeclipse-emf-ecore-java,
               libeclipse-emf-ecore-xmi-java, libeclipse-emf-edit-java,
               libeclipse-osgi-services-java, libeclipse-xsd-java
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/java-team/eclipse-wtp.git
Vcs-Browser: https://salsa.debian.org/java-team/eclipse-wtp
Homepage: https://www.eclipse.org/webtools/

Package: libeclipse-wst-common-core-java
Architecture: all
Depends: ${bundle:Depends}, ${misc:Depends}
Description: Eclipse Web Tools Platform - WST Common Core Plug-in
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains org.eclipse.wst.common.core plugin.

Package: libeclipse-jem-util-java
Architecture: all
Depends: ${bundle:Depends}, ${misc:Depends}
Description: Eclipse Web Tools Platform - Java EMF Model Utilities
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains org.eclipse.jem.util plugin.

Package: libeclipse-wst-common-emf-java
Architecture: all
Depends: ${bundle:Depends}, ${misc:Depends}
Description: Eclipse Web Tools Platform - EMF Utilities
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains org.eclipse.wst.common.emf plugin.

Package: libeclipse-wst-common-emfworkbench-integration-java
Architecture: all
Depends: ${bundle:Depends}, ${misc:Depends}
Description: Eclipse Web Tools Platform - EMF Workbench Edit Plug-in
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains org.eclipse.wst.common.emfworkbench.integration plugin.

Package: libeclipse-wst-common-ui-java
Architecture: all
Depends: ${bundle:Depends}, ${misc:Depends}
Description: Eclipse Web Tools Platform - Eclipse Base UI extensions
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains org.eclipse.wst.common.ui plugin.

Package: libeclipse-wst-common-environment-java
Architecture: all
Depends: ${bundle:Depends}, ${misc:Depends}
Description: Eclipse Web Tools Platform - Environment Plug-in
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains org.eclipse.wst.common.environment plugin.

Package: libeclipse-wst-common-frameworks-java
Architecture: all
Depends: ${bundle:Depends}, ${misc:Depends}
Description: Eclipse Web Tools Platform - Common Frameworks
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains org.eclipse.wst.common.frameworks plugin.

Package: libeclipse-wst-common-frameworks-ui-java
Architecture: all
Depends: ${bundle:Depends}, ${misc:Depends}
Description: Eclipse Web Tools Platform - WTP UI Plug-in
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains org.eclipse.wst.common.frameworks.ui plugin.

Package: libeclipse-wst-common-project-facet-core-java
Architecture: all
Depends: ${bundle:Depends}, ${misc:Depends}
Description: Eclipse Web Tools Platform - Eclipse Faceted Project Framework
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains org.eclipse.wst.common.project.facet.core plugin.

Package: libeclipse-wst-common-uriresolver-java
Architecture: all
Depends: ${bundle:Depends}, ${misc:Depends}
Description: Eclipse Web Tools Platform - Common URI Resolver Framework
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains org.eclipse.wst.common.uriresolver plugin.

Package: libeclipse-wst-validation-java
Architecture: all
Depends: ${bundle:Depends}, ${misc:Depends}
Description: Eclipse Web Tools Platform - Validation Framework
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains org.eclipse.wst.validation plugin.

Package: libeclipse-wst-validation-ui-java
Architecture: all
Depends: ${bundle:Depends}, ${misc:Depends}
Description: Eclipse Web Tools Platform - Validation Framework UI
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains org.eclipse.wst.validation.ui plugin.

Package: libeclipse-wst-sse-core-java
Architecture: all
Depends: ${bundle:Depends}, ${misc:Depends}
Description: Eclipse Web Tools Platform - Structured Source Model
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains org.eclipse.wst.sse.core plugin.

Package: libeclipse-wst-sse-ui-java
Architecture: all
Depends: ${bundle:Depends}, ${misc:Depends}
Description: Eclipse Web Tools Platform - Structured Source Editor
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains org.eclipse.wst.sse.ui plugin.

Package: libeclipse-wst-xml-core-java
Architecture: all
Depends: ${bundle:Depends}, ${misc:Depends}
Description: Eclipse Web Tools Platform - Structured Source XML Model
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains org.eclipse.wst.xml.core plugin.

Package: libeclipse-wst-xml-ui-java
Architecture: all
Depends: ${bundle:Depends}, ${misc:Depends}
Description: Eclipse Web Tools Platform - Eclipse XML Editors and Tools
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains org.eclipse.wst.xml.ui plugin.

Package: libeclipse-wst-xsd-core-java
Architecture: all
Depends: ${bundle:Depends}, ${misc:Depends}
Description: Eclipse Web Tools Platform - XSD Core Plugin
 The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
 tools for developing Web and Java EE applications. It includes source and
 graphical editors for a variety of languages, wizards and built-in applications
 to simplify development, and tools and APIs to support deploying, running, and
 testing apps.
 .
 This package contains org.eclipse.wst.xsd.core plugin.
