=== debian/watch ===
version=3
https://download.eclipse.org/webtools drops/R[\d.]+/R-([\d.]+)-\d+/
