## eclipse-wtp 3.35

=== debian/changelog ===
eclipse-wtp (3.35-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #1076877)
    - Refreshed the patches
    - Require Java 17+
    - New dependency on libeclipse-ui-genericeditor-java
  * Clean the build directory (Closes: #1044923)
  * Track and download the new releases from GitHub
  * Standards-Version updated to 4.7.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 07 Oct 2024 16:20:48 +0200

eclipse-wtp (3.18-6) unstable; urgency=medium

  * Team upload.
  * Replace IPluginRegistry with IExtensionRegistry (Closes: #1026494)

 -- tony mancill <tmancill@debian.org>  Sat, 04 Feb 2023 20:49:16 -0800
