=== debian/control ===
--- 
+++ 
@@ -3,25 +3,47 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
-Build-Depends: debhelper-compat (= 13), eclipse-debian-helper, jflex,
-               libeclipse-core-expressions-java, libeclipse-core-resources-java,
-               libeclipse-core-contenttype-java, libeclipse-osgi-java,
-               libeclipse-core-runtime-java, libequinox-common-java,
-               libequinox-registry-java, libeclipse-core-jobs-java,
-               libeclipse-ui-workbench-java, libeclipse-ui-ide-java,
-               libeclipse-search-java, libeclipse-ui-workbench-texteditor-java,
-               libicu4j-java, libeclipse-core-commands-java,
-               libswt-gtk-4-java, libeclipse-jface-java,
-               libequinox-bidi-java, libequinox-preferences-java,
-               libeclipse-text-java, libeclipse-emf-common-java,
-               libeclipse-core-filebuffers-java, libeclipse-core-filesystem-java,
-               libeclipse-debug-ui-java, libeclipse-jface-text-java,
-               libeclipse-ui-editors-java, libeclipse-ui-views-java,
-               libeclipse-ui-forms-java, libeclipse-debug-core-java,
-               libxerces2-java, libeclipse-emf-ecore-java,
-               libeclipse-emf-ecore-xmi-java, libeclipse-emf-edit-java,
-               libeclipse-osgi-services-java, libeclipse-xsd-java
-Standards-Version: 4.5.0
+Build-Depends:
+ debhelper-compat (= 13),
+ default-jdk (>= 2:1.17),
+ eclipse-debian-helper,
+ jflex,
+ libeclipse-core-commands-java,
+ libeclipse-core-contenttype-java,
+ libeclipse-core-expressions-java,
+ libeclipse-core-filebuffers-java,
+ libeclipse-core-filesystem-java,
+ libeclipse-core-jobs-java,
+ libeclipse-core-resources-java,
+ libeclipse-core-runtime-java,
+ libeclipse-debug-core-java,
+ libeclipse-debug-ui-java,
+ libeclipse-emf-common-java,
+ libeclipse-emf-ecore-java,
+ libeclipse-emf-ecore-xmi-java,
+ libeclipse-emf-edit-java,
+ libeclipse-jface-java,
+ libeclipse-jface-text-java,
+ libeclipse-osgi-java,
+ libeclipse-osgi-services-java,
+ libeclipse-search-java,
+ libeclipse-text-java,
+ libeclipse-ui-editors-java,
+ libeclipse-ui-forms-java,
+ libeclipse-ui-genericeditor-java,
+ libeclipse-ui-ide-java,
+ libeclipse-ui-views-java,
+ libeclipse-ui-workbench-java,
+ libeclipse-ui-workbench-texteditor-java,
+ libeclipse-xsd-java,
+ libequinox-bidi-java,
+ libequinox-common-java,
+ libequinox-preferences-java,
+ libequinox-registry-java,
+ libicu4j-java,
+ libswt-gtk-4-java,
+ libxerces2-java
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/java-team/eclipse-wtp.git
 Vcs-Browser: https://salsa.debian.org/java-team/eclipse-wtp
@@ -185,7 +207,7 @@
 
 Package: libeclipse-wst-sse-ui-java
 Architecture: all
-Depends: ${bundle:Depends}, ${misc:Depends}
+Depends: ${bundle:Depends}, ${misc:Depends}, libeclipse-ui-genericeditor-java
 Description: Eclipse Web Tools Platform - Structured Source Editor
  The Eclipse Web Tools Platform (WTP) project extends the Eclipse platform with
  tools for developing Web and Java EE applications. It includes source and
