=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/_/./g" \
https://github.com/eclipse-wtp-common/webtools.common refs/tags/R(\d[\d_]+) debian debian/get-orig-source
